## debian-policy 4.5.0.3

=== debian/changelog ===
debian-policy (4.5.0.3) unstable; urgency=medium

  * Add a sample grep command for finding copyright notices in upstream
    source code to an existing footnote in section 2.3.
  * 3.2.1: tweak wording to avoid suggesting that Policy forbids using
    Debian revisions for packages using a native source package format
    (Closes: #953629).
    Thank you to Ian Jackson for the suggestion.
  * Switch back dh_linktree -> dh_sphinxdoc now that #658238 has been
    resolved (Closes: #968664)
    - Update substvars usage
    - Drop linktree config
    - Drop ${misc:Depends} -> ${linktree:Recommends} hack from d/rules.
      We now just have ${sphinxdoc:Depends} in the Recommends: field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Aug 2020 11:24:51 -0700

debian-policy (4.5.0.2) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #959005).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 28 Apr 2020 14:20:18 -0700

=== debian/control ===
Source: debian-policy
Maintainer: Debian Policy Editors <debian-policy@lists.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Section: doc
Priority: optional
Build-Depends:
 dblatex,
 debhelper (>= 10),
 dia,
 docbook-xml,
 docbook-xsl,
 fonts-freefont-otf,
 latexmk,
 libtext-multimarkdown-perl,
 libxml2-utils,
 links | elinks,
 python3-sphinx,
 sphinx-common (>= 1.6.5),
 sphinx-intl,
 texinfo,
 texlive-xetex,
 xindy,
 xsltproc,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
# this is in Recommends: so that the package is installable on stable; see #906139
Recommends:
 ${sphinxdoc:Depends},
Suggests:
 doc-base,
Built-Using: ${sphinxdoc:Built-Using}
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Debian Menu sub-policy
    - Debian Perl sub-policy
    - Debian configuration management specification
    - Machine-readable debian/copyright specification
    - Autopkgtest - automatic as-installed package testing
    - Authoritative list of virtual package names
    - Policy checklist for upgrading your packages

Package: debian-policy-ja
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
# this is in Recommends: so that the package is installable on stable; see #906139
Recommends:
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Suggests:
 doc-base,
Description: Debian Policy Manual and related documents (Japanese)
 This package contains translations into Japanese of some of the
 documents distributed in the debian-policy package.  Currently only
 the HTML output format is available.

## debian-policy 4.5.1.0

=== Makefile ===
# Build rules for Debian Policy.
#
# This is not completely standalone and independent of the Debian packaging
# in that it uses debian/changelog to get the version number and release
# date for incorporation into other documents.  Except for that, however,
# the design goal of these build rules is to build the Policy documents
# independent of their Debian packaging in the debian directory.

# Basic package information.
PACKAGE   := $(shell dpkg-parsechangelog -SSource)
TIMESTAMP := $(shell dpkg-parsechangelog -STimestamp)
DATE      := $(shell date --utc -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   := $(shell dpkg-parsechangelog -SVersion)

# Translated languages
LANGUAGES = ja

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export DBLATEX    = dblatex -p xsl/dblatex.xsl
export DIA        = dia
export MDWN       = multimarkdown
export SPHINX     = sphinx-build
export SPHINXINTL = sphinx-intl
export XMLLINT    = xmllint --nonet --noout --postvalid --xinclude
export XSLTPROC   = xsltproc --nonet --xinclude

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)
docdir      = $(datadir)/doc/$(PACKAGE)
infodir     = $(datarootdir)/info

# Installation programs to use.
INSTALL = install -p -o root -g root -m 644
MKDIR   = install -d -o root -g root -m 755

# Files included by debconf_specification.xml.
DEBCONF_INCLUDES := debconf/commands.xml debconf/priorities.xml	\
	            debconf/statuscodes.xml debconf/types.xml

# doc-base description files for the documents we include.
DESC_FILES  := autopkgtest copyright-format-1.0 debconf-spec debian-policy \
	       debian-menu-policy debian-perl-policy fhs

# Our local copy of the File Hierarchy Standard.  We don't build this from
# source, but we do have a copy of the source in FHS_SOURCE.
FHS_SOURCE  := fhs-3.0-source
FHS_FILES   := fhs-3.0.html fhs-3.0.txt.gz fhs-3.0.pdf.gz

# Markdown source files in the top-level directory.  We generate text and
# HTML versions from these.
MDWN_FILES  := README autopkgtest

# Dia diagrams in the policy/images subdirectory.
DIA_FILES   := $(wildcard policy/images/*.dia)

# Dia diagrams converted to PNG in images/ subdirectory.
DIA_PNGS    := $(DIA_FILES:.dia=.png)

# Dia diagrams converted to SVG in images/ subdirectory.
DIA_SVGS    := $(DIA_FILES:.dia=.svg)

# DocBook source files in the top-level directory.  We do some common actions
# with each of these: build text, HTML, and one-page HTML output.
XML_FILES   := menu-policy perl-policy

# DocBook source files in the top-level directory that should only generate
# single-page HTML output (no split HTML output).
XML_SINGLE_FILES := copyright-format-1.0 debconf_specification

# XML document version files.  These are generated at build time from the
# current version and date information from the Debian changelog.
XML_VERSION := copyright-format/version.xml debconf_spec/include/version.xml \
	       version.xml

# A list of the simple Policy files that we build at the top level and in
# subdirectories and include in the documentation directory of the generated
# package.  The directories of HTML output are handled separately.
POLICY_FILES := $(MDWN_FILES:=.html)				\
		$(MDWN_FILES:=.txt)				\
		$(XML_FILES:=-1.html)				\
		$(XML_FILES:=.txt)				\
		$(XML_SINGLE_FILES:=.html)			\
		$(XML_SINGLE_FILES:=.txt)			\
		README.css					\
		policy/_build/epub/policy.epub			\
		policy/_build/latex/policy.pdf			\
		policy/_build/policy.txt			\
		policy/_build/text/upgrading-checklist.txt	\
		virtual-package-names-list.yaml

# A list of generated info files to install.
INFO_FILES := policy/_build/texinfo/debian-policy.info

# Source files that go into the Debian Policy manual.
POLICY_SOURCE := $(wildcard policy/*.rst) policy/conf.py policy/definition.txt

# Used by the clean rules.  FILES_TO_CLEAN are individual generated files to
# remove.  DIRS_TO_CLEAN are entire directories to remove.
DIRS_TO_CLEAN  := $(XML_FILES:=.html) policy/_build fhs $(wildcard policy-*)
FILES_TO_CLEAN := $(MDWN_FILES:=.html)			\
		  $(MDWN_FILES:=.txt)			\
		  $(XML_FILES:=.html.tar.gz)		\
		  $(XML_FILES:=-1.html)			\
		  $(XML_FILES:=.txt)			\
		  $(XML_FILES:=.validate)		\
		  $(XML_SINGLE_FILES:=.html)		\
		  $(XML_SINGLE_FILES:=.txt)		\
		  $(XML_SINGLE_FILES:=.validate)	\
		  $(DIA_PNGS)				\
		  policy/locale/*/LC_MESSAGES/*.mo	\
		  policy/conf.py			\
		  policy/definition.txt			\
		  version.md version.xml


#
# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#

all: $(XML_FILES:=.validate) $(XML_SINGLE_FILES:=.validate)		\
     $(XML_FILES:=.html.tar.gz) $(POLICY_FILES) $(INFO_FILES)		\
     policy/_build/singlehtml/index.html policy/_build/html/index.html	\
     $(foreach lang,$(LANGUAGES),policy/_build/locales/$(lang)/html/index.html)

#
# Create .po files for translation
#

# In the following, export locale variables to avoid gettext errors.
# Don't simply export at the top of this Makefile to avoid affecting
# the .js files generated for the English version

update-po: $(POLICY_SOURCE)
	$(SPHINX) -M gettext policy policy/_build
	@set -ex; for lang in $(LANGUAGES); do				\
		LC_ALL=C.UTF-8 LANG=C.UTF-8 $(SPHINXINTL) update	\
			-p $(CURDIR)/policy/_build/gettext -l $$lang;	\
	done

clean distclean:
	rm -f $(FILES_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)

install: all
	$(MKDIR) $(DESTDIR)$(docdir)
	$(MKDIR) $(DESTDIR)$(docdir)/fhs
	$(INSTALL) $(POLICY_FILES) $(DESTDIR)$(docdir)
	$(INSTALL) $(FHS_FILES)    $(DESTDIR)$(docdir)/fhs
	@set -ex; for file in $(XML_FILES); do			\
	    tar -C $(DESTDIR)$(docdir) -zxf $$file.html.tar.gz;	\
	done
	$(MKDIR) $(DESTDIR)$(docdir)/policy.html
	cp -dR policy/_build/html/* $(DESTDIR)$(docdir)/policy.html/
	@set -ex; for lang in $(LANGUAGES); do				\
		$(MKDIR) $(DESTDIR)$(docdir)/$$lang/policy.html;	\
		cp -dR policy/_build/locales/$$lang/html/*		\
			$(DESTDIR)$(docdir)/$$lang/policy.html/;	\
	done
	# don't install Sphinx singlehtml output until various bugs
	# are fixed upstream (e.g. #873456, #876075, #879048)
	# $(INSTALL) policy/_build/singlehtml/index.html \
	#     $(DESTDIR)$(docdir)/policy-1.html
	# $(MKDIR) $(DESTDIR)$(docdir)/_images
	# cp -dR policy/_build/singlehtml/_images/* $(DESTDIR)$(docdir)/_images/
	# $(MKDIR) $(DESTDIR)$(docdir)/_static
	# cp -dR policy/_build/singlehtml/_static/* $(DESTDIR)$(docdir)/_static/
	$(MKDIR) $(DESTDIR)$(infodir)
	$(INSTALL) $(INFO_FILES) $(DESTDIR)$(infodir)
	$(INSTALL) $(DIA_PNGS) $(DESTDIR)$(infodir)

.PHONY: all clean distclean install update-po


#
# Version files.  These incorporate the version and release date of the
# debian-policy package into the various specifications as their version and
# publication date.
#

policy/definition.txt: debian/changelog
	rm -f $@
	echo '.. |policy_version| replace:: $(VERSION)' >> $@
	echo '.. |policy_date| replace:: $(DATE)' >> $@

policy/conf.py: %: %.in
	sed -e 's/@VERSION@/$(VERSION)/' -e 's/@DATE@/$(DATE)/' $< > $@

version.md: debian/changelog
	rm -f $@
	echo					 > $@
	echo '---'				 >> $@
	echo 'Debian Policy $(VERSION), $(DATE)' >> $@

version.xml: debian/changelog
	rm -f $@
	echo '<?xml version="1.0" encoding="utf-8"?>' > $@
	echo '<!ENTITY version "$(VERSION)">'	     >> $@
	echo '<!ENTITY date    "$(DATE)">'	     >> $@

#
# Individual file and pattern build rules.
#

# There doesn't seem to be a better way of adding this include dependency.
debconf_specification.html: $(DEBCONF_INCLUDES)
debconf_specification.txt: $(DEBCONF_INCLUDES)
debconf_specification.validate: $(DEBCONF_INCLUDES)

# The text version of the upgrading checklist come from the Policy text build.
policy/_build/text/upgrading-checklist.txt: policy/_build/policy.txt

policy/_build/epub/policy.epub: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M epub policy policy/_build

policy/_build/locales/%/html/index.html: $(POLICY_SOURCE) $(DIA_PNGS) \
		locales/% update-po
	$(SPHINX) -b html -Dlanguage="$*" policy "policy/_build/locales/$*/html"

policy/_build/html/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M html policy policy/_build

policy/_build/latex/policy.pdf: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M latexpdf policy policy/_build

policy/_build/policy.txt: $(POLICY_SOURCE)
	rm -f $@
	$(SPHINX) -M text policy policy/_build
	cp policy/_build/text/index.txt $@
	set -e;								 \
	    files=$$(egrep '^   (ch-|ap-|upgrading-)' policy/index.rst); \
	    for f in $$files; do					 \
		printf "\n\n\n"                  >>$@;			 \
		cat policy/_build/text/"$$f".txt >>$@;			 \
	    done

policy/_build/singlehtml/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M singlehtml policy policy/_build
	perl -pli -e 's,href="index\.html#,href="#,g' $@
	perl -pli -e 's,(genindex|search)\.html,policy.html/$$1.html,' $@

policy/_build/texinfo/debian-policy.info: $(POLICY_SOURCE)
	$(SPHINX) -M info policy policy/_build

$(MDWN_FILES:=.txt): %.txt: %.md version.md
	cat $^ > $@
	test "$@" != "README.txt"  ||				\
           perl -pli -e 's,./Process.md,Process.txt,g' $@

$(MDWN_FILES:=.html): %.html: %.md version.md
	cat $^ | $(MDWN) > $@

$(DIA_PNGS): policy/images/%.png: policy/images/%.dia
	$(DIA) -e $@ $^

$(DIA_SVGS): policy/images/%.svg: policy/images/%.dia
	$(DIA) -e $@ $^

# Suppress the table of contents for the standalone upgrading checklist.
upgrading-checklist-1.html: XSLPARAMS = --stringparam generate.toc ''
upgrading-checklist.txt: XSLPARAMS = --stringparam generate.toc ''

%.validate: %.xml version.xml
	$(XMLLINT) $<
	touch $@

%.html/index.html: %.xml xsl/html-chunk.xsl version.xml
	mkdir -p $(@D)/images
	$(XSLTPROC) $(XSLPARAMS)		\
	    --stringparam base.dir $(@D)/	\
	    xsl/html-chunk.xsl $<

$(XML_SINGLE_FILES:=.html): %.html: %.xml xsl/html-single.xsl version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%-1.html: %.xml xsl/html-single.xsl version.xml $(DIA_PNGS)
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

$(XML_FILES:=.txt) $(XML_SINGLE_FILES:=.txt) $(XML_SPLIT_FILES:=.txt): \
%.txt: %.xml version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/text.xsl $< > $@.html
	links -codepage utf-8 -dump $@.html | perl -pe 's/[\r\0]//g' > $@
	rm -f $@.html


#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
debian-policy (4.5.1.0) unstable; urgency=medium

  * Policy: Relax requirements on copying copyright notices into d/copyright
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Scott Kitterman <debian@kitterman.com>
    Seconded: Joerg Jaspert <joerg@debian.org>
    Closes: #955005
  * Policy: Forbid vendor-specific series files
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Graham Inggs <ginggs@debian.org>
    Closes: #959909
  * Policy: Clarification about colons in version numbers
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #971023
  * Replace `/usr/share/package/copyright` -> `/usr/share/PACKAGE/copyright`.
    Thanks to Guillem Jover for the suggestion.
  * Fix manpage section in reference to systemd.unit(5) (Closes: #973491).
    Thanks to Martin Schwarz for the report.
  * Makefile: Always use UTC date (Closes: #974911).
    Thanks to Vagrant Cascadian for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Nov 2020 17:05:43 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

## debian-policy 4.6.0.1

=== policy/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = DebianPolicyManual
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
debian-policy (4.6.0.1) unstable; urgency=medium

  * Fix header of upgrading checklist entry for last release (Closes: #992414).
    Thanks to Scott Talbert and Drew Parsons for reporting the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Aug 2021 13:21:50 -0700

debian-policy (4.6.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Allow manpages to be included in the dependencies of packages
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Christoph Berg <myon@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #983657
  * Policy: Support for subpaths in Vcs-Git
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Closes: #932696
  * 4.4: Fix changelog format: needs an extra space before sign-off
    (Closes: #976301).
    Thanks to Anatoli Babenia for reporting the problem.
  * autopkgtest: Update variable name ADTTMP->AUTOPKGTEST_TMP (Closes: #989581).
    Thanks to Fabrice Bauzac-Stehly for reporting the problem.

  [ Russ Allbery ]
  * Policy: Add new encouraged keyword, make keywords consistent
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #944920
  * Clarify that no package may install files in /usr/lib64.  The previous
    wording implied this restriction only applied to 64-bit packages.
  * Reserve the /etc/rcn.d directories for the init-system-helpers package
    rather than the sysvinit package, reflecting a change already made in
    the archive.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 17 Aug 2021 20:06:42 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc

override_dh_auto_install:
	dh_auto_install
	set -ex; for langdir in debian/tmp/usr/share/doc/debian-policy/*/policy.html; do	\
		lang=$${langdir%%/policy.html};							\
		lang=$${lang##*/};								\
		mkdir -p debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
		mv debian/tmp/usr/share/doc/debian-policy/$$lang				\
			debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
	done
	mv debian/tmp/* debian/debian-policy/
#	this file is not referenced by any HTML pages and we have no
#	idea what it does, so just delete it until further
#	investigation is possible
	rm -f debian/debian-policy/usr/share/doc/debian-policy/policy.html/_static/websupport.js

## debian-policy 4.6.1.1

=== debian/changelog ===
debian-policy (4.6.1.1) unstable; urgency=medium

  * d/control: Add Homepage field (Closes: #1012879).
    Thanks to Benjamin Drung for the suggestion.
  * Upgrading checklist for 4.5.1: apply wording change from 07f1b39
    (Closes: #1017095).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Aug 2022 17:13:34 -0700

debian-policy (4.6.1.0) unstable; urgency=medium

  * Policy: Allow non-64-bit packages to install to /usr/lib64
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #992601
  * Policy: Define 'upstream' & document several version conventions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #542288, #850729
  * virtual-package-names-list: Add {default,}dbus-system-bus (Closes: #998063).
    Thanks to Simon McVittie for the patch.
  * Update 9.7.2 and 9.7.3 for package split of bin:mime-support into
    bin:media-types and bin:mailcap (Closes: #1008480).
    Thanks to Charles Plessy for the patch.

  * Fix several problems with footnote regarding the autobuilders and
    build dependency alternatives (Closes: #999826).
    Thanks to Johannes Schauer Marin Rodrigues for the report and patch.
  * Use syntax highlighting for some source code blocks (Closes: #999566).
    Thanks to Stéphane Blondon for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 May 2022 11:02:59 -0700

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,10 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
+Homepage: https://www.debian.org/doc/devel-manuals#policy
 
 Package: debian-policy
 Architecture: all

## debian-policy 4.6.2.0

=== fhs-3.0-source/Makefile ===
XMLFILES=fhs.xml intro.xml filesystem.xml root-filesystem.xml usr.xml var.xml os.xml appendix.xml
XMLTOARGS_OLD=--xsltopts '--stringparam section.autolabel 1 --stringparam section.label.includes.component.label 1 --stringparam chunker.output.encoding UTF-8'
XMLTOARGS_NEW=--stringparam  section.autolabel=1 --stringparam  section.label.includes.component.label=1 --stringparam  chunker.output.encoding=UTF-8
XSLTPROCARGS=--stringparam  section.autolabel 1 --stringparam  section.label.includes.component.label 1 --stringparam  chunker.output.encoding UTF-8

# Possible locations of DocBook upstream docbook.xsl for html-nochunks
# on the system.
HTML_NOCHUNK_XSL_LOCATIONS=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
                           /usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl \
                           /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl

ifeq ($(shell xmlto --help | grep stringparam | wc -l),0)
XMLTOARGS=$(XMLTOARGS_OLD)
else
XMLTOARGS=$(XMLTOARGS_NEW)
endif

all: fhs.html fhs/index.html fhs.txt fhs.pdf

docbook-utf8.xsl: docbook-utf8.xsl.in
	for f in $(HTML_NOCHUNK_XSL_LOCATIONS); do \
	  if [ -e $$f ]; then \
	    sed s,@HTML_NOCHUNK_XSL@,$$f,g < $< > $@; \
	    break; \
	  fi; \
	done

fhs.ps: $(XMLFILES)
	xmlto $(XMLTOARGS) ps fhs.xml

fhs.fo: $(XMLFILES)
	xsltproc $(XSLTPROCARGS) $(FO_ARGS) -o $@ ./docbook-xsl/fo/docbook.xsl fhs.xml

fhs.pdf: fhs.fo
	fop fhs.fo -pdf fhs.pdf

fhs.txt: $(XMLFILES)
	xmlto $(XMLTOARGS) txt fhs.xml

fhs/index.html: $(XMLFILES)
	xmlto $(XMLTOARGS) -o fhs html fhs.xml

fhs.html: $(XMLFILES) docbook-utf8.xsl
	xmlto $(XMLTOARGS) -x ./docbook-utf8.xsl html-nochunks fhs.xml

valid:
	xmllint --valid --noout fhs.xml

clean:
	rm -f fhs.ps fhs.txt fhs.pdf fhs/*.html fhs.html fhs.fo docbook-utf8.xsl
	rm -rf fhs

distclean: clean

=== debian/changelog ===
debian-policy (4.6.2.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Update alternatives system priorities for window managers
    Wording: Ansgar <ansgar@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #975631
  * Policy: Clarify udeb-only source packages are out of scope
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #992136

  [ Russ Allbery ]
  * Policy: Add new-version argument to several maintainer script calls
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #823256
  * Policy: Essential packages must work only if previously configured
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Santiago Vila <sanvila@unex.es>
    Seconded: Guillem Jover <guillem@hadrons.org>
    Closes: #1020267
  * Prefer "portion" to "stanza" when describing parts of the Vcs-Git
    header to avoid confusion with blocks of fields in deb822.  Thanks to
    Charles Plessy for pointing out the inconsistency.

  [ Guillem Jover ]
  * Terminology fixes.  (Closes: #1020248)
    - Refer to blocks of fields in deb822 files as stanzas, not
      paragraphs.  This aligns terminology with dpkg and reduces confusion
      with text paragraphs found in, for example, the Description field.
  * Policy: Replace references to PGP with OpenPGP.  (Closes: #1020243)
  * Whitespace and quoting fixes.  (Closes: #1020238)
    - Remove trailing whitespace and convert tabs to spaces in all files.
    - Avoid use of unbalanced single quotes.
  * copyright-format: Formatting improvements.  (Closes: #1020241)
    - Put Source after Format in examples.
    - Reformat GPL examples to be more compact.
    - Use URLs rather than postal addresses in GPL examples.
    - Move the comment about where the GPL can be found on Debian systems
      to a separate Comment block in examples, rather than including it in
      the License text.
    - Apply wrap-and-sort -ast formatting to Files fields in the examples.

  [ Daniel Shahaf ]
  * Add an English description of the format of bug closers in the
    changelog file, alongside the Perl-compatible regular expression.
    (Closes: #953911)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Dec 2022 19:41:44 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy

## debian-policy 4.7.0.0

=== Makefile ===
--- 
+++ 
@@ -299,4 +299,4 @@
 .DELETE_ON_ERROR:
 
 # No default suffixes work here, don't waste time on them.
-.SUFFIXES: 
+.SUFFIXES:

=== debian/changelog ===
debian-policy (4.7.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Prefer native overriding mechanisms to diversions & alternatives
    Wording: Luca Boccassi <bluca@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1035733
  * Policy: Improve alternative build dependency discussion
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Wouter Verhelst <wouter@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #968226
  * Policy: No network access for required targets for contrib & non-free
    Wording: Aurelien Jarno <aurel32@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Tobias Frost <tobi@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1068192

  [ Russ Allbery ]
  * Policy: Add mention of the new non-free-firmware archive area
    Wording: Gunnar Wolf <gwolf@gwolf.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #1029211
  * Policy: Source packages in main may build binary packages in contrib
    Wording: Simon McVittie <smcv@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #994008
  * Policy: Allow hard links in source packages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Helmut Grohne <helmut@subdivi.de>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #970234
  * Policy: Binary and Description fields may be absent in .changes
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #963524
  * Policy: systemd units are required to start and stop system services
    Wording: Luca Boccassi <bluca@debian.org>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Luca Boccassi <bluca@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Closes: #1039102

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Apr 2024 13:08:55 +0800

debian-policy (4.6.2.1) unstable; urgency=medium

  [ Guillem Jover ]
  * Standardize terminology with dpkg.  (Closes: #1020248)
    - Use 'stanza' for each section of a multi-section control file, such as
      the source package template control file (debian/control).
    - Use standardized naming for binary package control files, source
      package control files (.dsc), source package template control files
      (debian/control), and upload changes control files (.changes).
    - Refer to members of the control member of the .deb archive as
      'package metadata'.
  * Update Installed-Size algorithm used by dpkg (Closes: #793499).

  [ Stéphane Blondon ]
  * New Debian-specific Sphinx style (Closes: #915583).

  [ Max-Julian Pogner ]
  * Fix missing quotes in dpkg-divert examples. (Closes: #1031403)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Feb 2024 20:39:43 +0800

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
  libxml2-utils,
  links | elinks,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  sphinx-common (>= 1.6.5),
  sphinx-intl,
  texinfo,
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy

## debian-policy 4.7.0.1

=== debian/changelog ===
debian-policy (4.7.0.1) unstable; urgency=medium

  * Fix typo in 9.3.1.
    Thanks to Paul Gevers for the report.
  * Fix markup problem in 3.9 (Closes: #1074040).
    Thanks to Ke Zhang for the report & patch.
  * Update specification of the default value for Rules-Requires-Root.
    See #1057238.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 25 Aug 2024 17:41:50 +0800

## debian-policy 4.7.0.2

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,8 @@
 infodir     = $(datarootdir)/info
 
 # Installation programs to use.
-INSTALL = install -p -o root -g root -m 644
-MKDIR   = install -d -o root -g root -m 755
+INSTALL = install -p -m 644
+MKDIR   = install -d -m 755
 
 # Files included by debconf_specification.xml.
 DEBCONF_INCLUDES := debconf/commands.xml debconf/priorities.xml	\

=== debian/changelog ===
debian-policy (4.7.0.2) unstable; urgency=medium

  * Support building without (fake)root (Closes: #1087626).
    Thanks to Niels Thykier for the patch.
  * Add debian/debian-policy-*/ to .gitignore.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 Jan 2025 16:48:08 +0000

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

## debian-policy 4.7.1.1

=== debian/changelog ===
debian-policy (4.7.1.1) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Feb 2025 12:39:04 +0800

debian-policy (4.7.1.0) unstable; urgency=medium

  [ Fei Ding & Ke Zhang ]
  * New Simplified Chinese translation.

  [ Sean Whitton ]
  * Install new translation in new binary package.
  * Merge two duplicate sets of .po files, locales/ & policy/locale/.
  * Policy: Clarify filename conflicts for programs
    Wording: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Helmut Grohne <helmut@subdivi.de>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1075856
  * 5.6.31: Update default value of Rules-Requires-Root (Closes: #1091913).
    Thanks to Niels Thykier for the report.
  * Policy: Packages must/should not require man, info and locale files
    Wording: Josh Triplett <josh@joshtriplett.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Closes: #1089110
  * Policy: Packages must not install to /bin, /lib, /lib* or /sbin
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Luca Boccassi <bluca@debian.org>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Closes: #1074014
    - Rewrite Helmut's text to avoid mentioning the merged-/usr transition
      by name, and to avoid the transition-specific "aliased paths" jargon.
      My hope is that this will be better for future readers.
  * 10.1: Delete paragraph about compatibility symlinks /path -> /usr/path.
    This paragraph is effectively superseded by the preceding Policy change.
  * Fix formatting issue in 10.2 (Closes: #1094664).
    Thanks to Roberto C. Sanchez for the report.
  * Fix typo in 2.2.2 (Closes: #1098339).
    Thanks to Ahmed Siam for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Feb 2025 17:44:53 +0800

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  xindy,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
@@ -68,3 +68,19 @@
  This package contains translations into Japanese of some of the
  documents distributed in the debian-policy package.  Currently only
  the HTML output format is available.
+
+Package: debian-policy-zh-cn
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+# this is in Recommends: so that the package is installable on stable; see #906139
+Recommends:
+ ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Suggests:
+ doc-base,
+Description: Debian Policy Manual and related documents (Simplified Chinese)
+ This package contains translations into Simplified Chinese of some of the
+ documents distributed in the debian-policy package.  Currently only
+ the HTML output format is available.

## debian-policy 4.7.2.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 VERSION   := $(shell dpkg-parsechangelog -SVersion)
 
 # Translated languages
-LANGUAGES = ja
+LANGUAGES = ja zh_CN
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.
@@ -112,7 +112,7 @@
 		  $(XML_SINGLE_FILES:=.txt)		\
 		  $(XML_SINGLE_FILES:=.validate)	\
 		  $(DIA_PNGS)				\
-		  policy/locale/*/LC_MESSAGES/*.mo	\
+		  locales/*/LC_MESSAGES/*.mo		\
 		  policy/conf.py			\
 		  policy/definition.txt			\
 		  version.md version.xml

=== debian/changelog ===
debian-policy (4.7.2.0) unstable; urgency=medium

  * Policy: Relax 10.1 slightly for /usr/games
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Closes: #1098948

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Feb 2025 14:35:02 +0800

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  xindy,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 	set -ex; for langdir in debian/tmp/usr/share/doc/debian-policy/*/policy.html; do	\
 		lang=$${langdir%%/policy.html};							\
 		lang=$${lang##*/};								\
-		mkdir -p debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
+		pkg_lang=$$(echo $$lang | tr '[:upper:]_' '[:lower:]-');			\
+		mkdir -p debian/debian-policy-$$pkg_lang/usr/share/doc/debian-policy;		\
 		mv debian/tmp/usr/share/doc/debian-policy/$$lang				\
-			debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
+			debian/debian-policy-$$pkg_lang/usr/share/doc/debian-policy;		\
 	done
 	mv debian/tmp/* debian/debian-policy/
 #	this file is not referenced by any HTML pages and we have no

## debian-policy 4.7.3.0

=== debian/changelog ===
debian-policy (4.7.3.0) unstable; urgency=medium

  * Policy: Document range of subordinate user IDs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1100632
  * Policy: Git-Tag-Tagger & Git-Tag-Info fields
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Stuart Prescott <stuart@debian.org>
    Closes: #1091868
  * Policy: Remove MSDOS-Filename field
    Wording: Guillem Jover <guillem@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1114994
  * Policy: Priority field no longer recommended
    Wording: Nilesh Patra <nilesh@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #1110017
  * Fix missing word in 10.1 & upgrading checklist.
  * Rewrite "date"->"day-of-month" in Policy 3.2.1 (Closes: #1100455).
    Thanks to Ahmed Siam for reporting the issue.
  * d/control: Drop Priority & Rules-Requires-Root fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Dec 2025 13:19:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Russ Allbery <rra@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
 Section: doc
-Priority: optional
 Build-Depends:
  dblatex,
  debhelper (>= 10),
@@ -24,8 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
